Send files to S3 tutor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

After generating the secure upload URL in Step 1, you must upload the file directly to the provided Amazon S3 storage URL.

This step does not use the Panda Video API directly. Instead, the file must be sent to the pre-signed URL returned by the Generate_file_upload_url endpoint.

The upload request must:

  • Use the pre-signed URL returned in Generate_file_upload
  • Be associated with the same assistant_id used when generating the upload URL
  • Send the file in binary format
  • Match exactly the file_size informed in the first request

If the uploaded file size does not match the value provided during URL generation, the upload may fail.

NameTypeDescription
assistant_idstring (UUID)The unique identifier of the Tutor AI assistant. Must be the same assistant_id used in Generate_file_upload when generating the upload URL.
upload_urlstringThe pre-signed S3 URL returned by the Generate File Upload URL endpoint. This URL must be used to perform the PUT request that uploads the file in binary format.
Path Params
string
required
string
required
Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!